## Gelli

This is a native music player for Android devices that connects to Jellyfin media servers. The code is based on a relatively recent version of Phonograph and was made for personal use, but contributions are welcome! Please open an issue to discuss larger changes before submitting a pull request. I am open to an improved icon if any graphic designers have a good suggestion.

[<img src="https://f-droid.org/badge/get-it-on.png" alt="Get it on F-Droid" height="90">](https://f-droid.org/packages/com.dkanada.gramophone)

## Features

* Basic library navigation
* Cache songs individually or through batch actions
* Gapless playback
* Sort albums and songs by different fields
* Search media for partial matches
* Media service integration with notification
* Favorites and playlists
* Playback history reporting
* Filter content by library

## Issues

Since this was a small project intended mainly for myself, there are some things I haven't resolved yet. I would appreciate pull requests to fix any of these issues!

* Artist sorting isn't available through the API
* Playlists and favorites will not update automatically when changed

## Future Plans

If I ever find the time, these are some of the items I would potentially include.

* Interface overhaul
* Offline downloads
* SyncPlay
* Smart playlists
* Session controls
* QuickConnect

These are features I wouldn't include myself, but I would accept pull requests with good code.

* Support for other media types
* Chromecast
* Android Auto

## Screenshots

<img src='https://raw.githubusercontent.com/dkanada/gelli/master/metadata/en-US/screenshots.png'>
